Index: trunk/lib/FlairFilter/src/JoyReference.h
===================================================================
--- trunk/lib/FlairFilter/src/JoyReference.h	(revision 14)
+++ trunk/lib/FlairFilter/src/JoyReference.h	(revision 15)
@@ -17,186 +17,190 @@
 #include <stdint.h>
 
-namespace flair
-{
-    namespace core {
-        class Quaternion;
-        class AhrsData;
-    }
-    namespace gui {
-        class LayoutPosition;
-    }
+namespace flair {
+namespace core {
+class Quaternion;
+class AhrsData;
 }
+namespace gui {
+class LayoutPosition;
+}
+}
 
 class JoyReference_impl;
 
-namespace flair { namespace filter {
-    /*! \class JoyReference
-    *
-    * \brief Class creating references from a joystick
-    */
-    class JoyReference : public core::IODevice
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a JoyReference at given position. \n
-            * The JoyReference will automatically be child of position->getLayout() Layout. After calling this function,
-            * position will be deleted as it is no longer usefull. \n
-            * JoyReference compute reference in quaternion, wz, altitude and altitude speed.
-            *
-            * \param position position
-            * \param name name
-            */
-            JoyReference(const gui::LayoutPosition* position,std::string name);
-
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~JoyReference();
-
-            /*!
-            * \brief Set roll axis value
-            *
-            * \param value value
-            */
-            void SetRollAxis(float value);
-
-            /*!
-            * \brief Set pitch axis value
-            *
-            * \param value value
-            */
-            void SetPitchAxis(float value);
-
-            /*!
-            * \brief Set yaw axis value
-            *
-            * \param value value
-            */
-            void SetYawAxis(float value);
-
-            /*!
-            * \brief Set thrust axis value
-            *
-            * \param value value
-            */
-            void SetAltitudeAxis(float value);
-
-            /*!
-            * \brief Get orientation reference
-            *
-            * \return reference
-            */
-            core::AhrsData* GetReferenceOrientation(void) const;
-
-            /*!
-            * \brief Get z reference
-            *
-            * \return reference
-            */
-            float ZRef(void) const;
-
-            /*!
-            * \brief Get z derivative reference
-            *
-            * \return reference
-            */
-            float DzRef(void) const;
-
-            /*!
-            * \brief Get roll trim
-            *
-            * \return trim value
-            */
-            float RollTrim(void) const;
-
-            /*!
-            * \brief Get pitch trim
-            *
-            * \return trim value
-            */
-            float PitchTrim(void) const;
-
-            /*!
-            * \brief Set yaw reference
-            *
-            * Yaw part of the output quaternion is obtained by integrating the wz desired angular speed.\n
-            * This method reset the yaw.
-            *
-            * \param value value
-            */
-            void SetYawRef(float value);
-
-            /*!
-            * \brief Set yaw reference
-            *
-            * Yaw part of the output quaternion is obtained by integrating the wz desired angular speed.\n
-            * This method reset the yaw.
-            *
-            * \param value value, only the yaw part of the quaternion is used
-            */
-            void SetYawRef(core::Quaternion const &value);
-
-            /*!
-            * \brief Set z reference
-            *
-            * Altitude of the output is obtained by integrating the vz desired altitude speed.\n
-            * This method reset z.
-            *
-            * \param value value
-            */
-            void SetZRef(float value);
-
-            /*!
-            * \brief Trim up roll
-            *
-            * Roll trim value is increased by one
-            */
-            void RollTrimUp(void);
-
-            /*!
-            * \brief Trim down roll
-            *
-            * Roll trim value is decreased by one
-            */
-            void RollTrimDown(void);
-
-            /*!
-            * \brief Trim up pitch
-            *
-            * Pitch trim value is increased by one
-            */
-            void PitchTrimUp(void);
-
-            /*!
-            * \brief Trim down pitch
-            *
-            * Pitch trim value is decreased by one
-            */
-            void PitchTrimDown(void);
-
-            /*!
-            * \brief Update references
-            *
-            * Calls UpdateFrom with values entered manually.
-            *
-            * \param time time
-            */
-            void Update(core::Time time);
-
-        private:
-            /*!
-            * \brief Update using provided datas
-            *
-            * Reimplemented from IODevice.
-            *
-            * \param data data from the parent to process
-            */
-            void UpdateFrom(const core::io_data *data);
-
-            class JoyReference_impl* pimpl_;
-    };
+namespace flair {
+namespace filter {
+/*! \class JoyReference
+*
+* \brief Class creating references from a joystick
+*/
+class JoyReference : public core::IODevice {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a JoyReference at given position. \n
+  * The JoyReference will automatically be child of position->getLayout()
+  *Layout. After calling this function,
+  * position will be deleted as it is no longer usefull. \n
+  * JoyReference compute reference in quaternion, wz, altitude and altitude
+  *speed.
+  *
+  * \param position position
+  * \param name name
+  */
+  JoyReference(const gui::LayoutPosition *position, std::string name);
+
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~JoyReference();
+
+  /*!
+  * \brief Set roll axis value
+  *
+  * \param value value
+  */
+  void SetRollAxis(float value);
+
+  /*!
+  * \brief Set pitch axis value
+  *
+  * \param value value
+  */
+  void SetPitchAxis(float value);
+
+  /*!
+  * \brief Set yaw axis value
+  *
+  * \param value value
+  */
+  void SetYawAxis(float value);
+
+  /*!
+  * \brief Set thrust axis value
+  *
+  * \param value value
+  */
+  void SetAltitudeAxis(float value);
+
+  /*!
+  * \brief Get orientation reference
+  *
+  * \return reference
+  */
+  core::AhrsData *GetReferenceOrientation(void) const;
+
+  /*!
+  * \brief Get z reference
+  *
+  * \return reference
+  */
+  float ZRef(void) const;
+
+  /*!
+  * \brief Get z derivative reference
+  *
+  * \return reference
+  */
+  float DzRef(void) const;
+
+  /*!
+  * \brief Get roll trim
+  *
+  * \return trim value
+  */
+  float RollTrim(void) const;
+
+  /*!
+  * \brief Get pitch trim
+  *
+  * \return trim value
+  */
+  float PitchTrim(void) const;
+
+  /*!
+  * \brief Set yaw reference
+  *
+  * Yaw part of the output quaternion is obtained by integrating the wz desired
+  *angular speed.\n
+  * This method reset the yaw.
+  *
+  * \param value value
+  */
+  void SetYawRef(float value);
+
+  /*!
+  * \brief Set yaw reference
+  *
+  * Yaw part of the output quaternion is obtained by integrating the wz desired
+  *angular speed.\n
+  * This method reset the yaw.
+  *
+  * \param value value, only the yaw part of the quaternion is used
+  */
+  void SetYawRef(core::Quaternion const &value);
+
+  /*!
+  * \brief Set z reference
+  *
+  * Altitude of the output is obtained by integrating the vz desired altitude
+  *speed.\n
+  * This method reset z.
+  *
+  * \param value value
+  */
+  void SetZRef(float value);
+
+  /*!
+  * \brief Trim up roll
+  *
+  * Roll trim value is increased by one
+  */
+  void RollTrimUp(void);
+
+  /*!
+  * \brief Trim down roll
+  *
+  * Roll trim value is decreased by one
+  */
+  void RollTrimDown(void);
+
+  /*!
+  * \brief Trim up pitch
+  *
+  * Pitch trim value is increased by one
+  */
+  void PitchTrimUp(void);
+
+  /*!
+  * \brief Trim down pitch
+  *
+  * Pitch trim value is decreased by one
+  */
+  void PitchTrimDown(void);
+
+  /*!
+  * \brief Update references
+  *
+  * Calls UpdateFrom with values entered manually.
+  *
+  * \param time time
+  */
+  void Update(core::Time time);
+
+private:
+  /*!
+  * \brief Update using provided datas
+  *
+  * Reimplemented from IODevice.
+  *
+  * \param data data from the parent to process
+  */
+  void UpdateFrom(const core::io_data *data);
+
+  class JoyReference_impl *pimpl_;
+};
 } // end namespace sensor
 } // end namespace flair
Index: trunk/lib/FlairFilter/src/JoyReference_impl.cpp
===================================================================
--- trunk/lib/FlairFilter/src/JoyReference_impl.cpp	(revision 14)
+++ trunk/lib/FlairFilter/src/JoyReference_impl.cpp	(revision 15)
@@ -34,169 +34,169 @@
 using namespace flair::filter;
 
-JoyReference_impl::JoyReference_impl(JoyReference *inSelf,const LayoutPosition* position,string name): self(inSelf) {
-
-    ahrsData= new AhrsData(self);
-	input=new cvmatrix(self,4,1,floatType,name);
-
-	cvmatrix_descriptor* desc=new cvmatrix_descriptor(4,1);
-	desc->SetElementName(0,0,"z");;
-	desc->SetElementName(1,0,"dz");
-    desc->SetElementName(2,0,"trim_roll");
-    desc->SetElementName(3,0,"trim_pitch");
-    output=new cvmatrix(self,desc,floatType,name);
-
-	reglages_groupbox=new GroupBox(position,name);
-    deb_roll=new DoubleSpinBox(reglages_groupbox->NewRow(),"debattement roll"," deg",-45,45,1,0);
-    deb_pitch=new DoubleSpinBox(reglages_groupbox->LastRowLastCol(),"debattement pitch"," deg",-45,45,1,0);
-    deb_wz=new DoubleSpinBox(reglages_groupbox->NewRow(),"debattement wz"," deg/s",-180,180,1,0);
-    deb_dz=new DoubleSpinBox(reglages_groupbox->LastRowLastCol(),"debattement dz"," m/s",-2,2,0.1,1);
-    trim=new DoubleSpinBox(reglages_groupbox->NewRow(),"trim",-1,1,0.01);
-    label_roll=new Label(reglages_groupbox->NewRow(),"trim roll");
-    button_roll=new PushButton(reglages_groupbox->LastRowLastCol(),"reset roll trim");
-    label_pitch=new Label(reglages_groupbox->NewRow(),"trim pitch");
-    button_pitch=new PushButton(reglages_groupbox->LastRowLastCol(),"reset pitch trim");
-
-    z_ref=0;
-    previous_time=0;
-    trim_roll=0;
-    trim_pitch=0;
-
-    label_roll->SetText("trim roll: %.2f",trim_roll);
-    label_pitch->SetText("trim pitch: %.2f",trim_pitch);
-}
-
-JoyReference_impl::~JoyReference_impl(void) {
-}
+JoyReference_impl::JoyReference_impl(JoyReference *inSelf,
+                                     const LayoutPosition *position,
+                                     string name)
+    : self(inSelf) {
+
+  ahrsData = new AhrsData(self);
+  input = new cvmatrix(self, 4, 1, floatType, name);
+
+  cvmatrix_descriptor *desc = new cvmatrix_descriptor(4, 1);
+  desc->SetElementName(0, 0, "z");
+  ;
+  desc->SetElementName(1, 0, "dz");
+  desc->SetElementName(2, 0, "trim_roll");
+  desc->SetElementName(3, 0, "trim_pitch");
+  output = new cvmatrix(self, desc, floatType, name);
+
+  reglages_groupbox = new GroupBox(position, name);
+  deb_roll = new DoubleSpinBox(reglages_groupbox->NewRow(), "debattement roll",
+                               " deg", -45, 45, 1, 0);
+  deb_pitch = new DoubleSpinBox(reglages_groupbox->LastRowLastCol(),
+                                "debattement pitch", " deg", -45, 45, 1, 0);
+  deb_wz = new DoubleSpinBox(reglages_groupbox->NewRow(), "debattement wz",
+                             " deg/s", -180, 180, 1, 0);
+  deb_dz = new DoubleSpinBox(reglages_groupbox->LastRowLastCol(),
+                             "debattement dz", " m/s", -2, 2, 0.1, 1);
+  trim = new DoubleSpinBox(reglages_groupbox->NewRow(), "trim", -1, 1, 0.01);
+  label_roll = new Label(reglages_groupbox->NewRow(), "trim roll");
+  button_roll =
+      new PushButton(reglages_groupbox->LastRowLastCol(), "reset roll trim");
+  label_pitch = new Label(reglages_groupbox->NewRow(), "trim pitch");
+  button_pitch =
+      new PushButton(reglages_groupbox->LastRowLastCol(), "reset pitch trim");
+
+  z_ref = 0;
+  previous_time = 0;
+  trim_roll = 0;
+  trim_pitch = 0;
+
+  label_roll->SetText("trim roll: %.2f", trim_roll);
+  label_pitch->SetText("trim pitch: %.2f", trim_pitch);
+}
+
+JoyReference_impl::~JoyReference_impl(void) {}
 
 void JoyReference_impl::SetRollAxis(float value) {
-    input->SetValue(0,0,value);
+  input->SetValue(0, 0, value);
 }
 
 void JoyReference_impl::SetPitchAxis(float value) {
-    input->SetValue(1,0,value);
+  input->SetValue(1, 0, value);
 }
 
 void JoyReference_impl::SetYawAxis(float value) {
-    input->SetValue(2,0,value);
+  input->SetValue(2, 0, value);
 }
 
 void JoyReference_impl::SetAltitudeAxis(float value) {
-    input->SetValue(3,0,value);
+  input->SetValue(3, 0, value);
 }
 
 void JoyReference_impl::RollTrimUp(void) {
-    trim_roll+=trim->Value();
-    output->SetValue(2,0,trim_roll);
-    label_roll->SetText("trim roll: %.2f",trim_roll);
+  trim_roll += trim->Value();
+  output->SetValue(2, 0, trim_roll);
+  label_roll->SetText("trim roll: %.2f", trim_roll);
 }
 
 void JoyReference_impl::RollTrimDown(void) {
-    trim_roll-=trim->Value();
-    output->SetValue(2,0,trim_roll);
-    label_roll->SetText("trim roll: %.2f",trim_roll);
+  trim_roll -= trim->Value();
+  output->SetValue(2, 0, trim_roll);
+  label_roll->SetText("trim roll: %.2f", trim_roll);
 }
 
 void JoyReference_impl::PitchTrimUp(void) {
-    trim_pitch+=trim->Value();
-    output->SetValue(3,0,trim_pitch);
-    label_pitch->SetText("trim pitch: %.2f",trim_pitch);
+  trim_pitch += trim->Value();
+  output->SetValue(3, 0, trim_pitch);
+  label_pitch->SetText("trim pitch: %.2f", trim_pitch);
 }
 
 void JoyReference_impl::PitchTrimDown(void) {
-    trim_pitch-=trim->Value();
-    output->SetValue(3,0,trim_pitch);
-    label_pitch->SetText("trim pitch: %.2f",trim_pitch);
+  trim_pitch -= trim->Value();
+  output->SetValue(3, 0, trim_pitch);
+  label_pitch->SetText("trim pitch: %.2f", trim_pitch);
 }
 
 void JoyReference_impl::SetYawRef(float value) {
-    Euler ref(0,0,value);
-    input->GetMutex();
-    ref.ToQuaternion(q_z);
-    input->ReleaseMutex();
-
-    Update(GetTime());
+  Euler ref(0, 0, value);
+  input->GetMutex();
+  ref.ToQuaternion(q_z);
+  input->ReleaseMutex();
+
+  Update(GetTime());
 }
 
 void JoyReference_impl::SetZRef(float value) {
-    z_ref=value;
-    output->SetValue(0,0,z_ref);
-}
-
-float JoyReference_impl::ZRef(void) const {
-    return output->Value(0,0);
-}
-
-float JoyReference_impl::dZRef(void) const {
-   return output->Value(1,0);
-}
-
-float JoyReference_impl::RollTrim(void) const {
-    return trim_roll;
-}
-
-float JoyReference_impl::PitchTrim(void) const {
-    return trim_pitch;
-}
+  z_ref = value;
+  output->SetValue(0, 0, z_ref);
+}
+
+float JoyReference_impl::ZRef(void) const { return output->Value(0, 0); }
+
+float JoyReference_impl::dZRef(void) const { return output->Value(1, 0); }
+
+float JoyReference_impl::RollTrim(void) const { return trim_roll; }
+
+float JoyReference_impl::PitchTrim(void) const { return trim_pitch; }
 
 void JoyReference_impl::Update(Time time) {
-    input->SetDataTime(time);
-    UpdateFrom(input);
+  input->SetDataTime(time);
+  UpdateFrom(input);
 }
 
 void JoyReference_impl::UpdateFrom(const io_data *data) {
-    cvmatrix *input=(cvmatrix*)data;
-
-    if(previous_time==0) previous_time=data->DataTime();//pour la premiere iteration
-    float delta_t=(float)(data->DataTime()-previous_time)/1000000000.;
-    previous_time=data->DataTime();
-
-    if(button_roll->Clicked()==true) {
-        trim_roll=0;
-        output->SetValue(2,0,0);
-        label_roll->SetText("trim roll: %.2f",trim_roll);
-    }
-    if(button_pitch->Clicked()==true) {
-        trim_pitch=0;
-        output->SetValue(3,0,0);
-        label_pitch->SetText("trim pitch: %.2f",trim_pitch);
-    }
-
-    //les box sont en degrés
-    input->GetMutex();
-
-    Vector3D theta_xy(-Euler::ToRadian(input->ValueNoMutex(0,0)*deb_roll->Value()),
-                      -Euler::ToRadian(input->ValueNoMutex(1,0)*deb_pitch->Value()),
-                      0);
-    Vector3D e_bar=theta_xy;
-    e_bar.Normalize();
-    Quaternion q_xy(cos(theta_xy.GetNorm()/2.0f),
-                    e_bar.x*sin(theta_xy.GetNorm()/2.0f),
-                    e_bar.y*sin(theta_xy.GetNorm()/2.0f),
-                    0);
-    q_xy.Normalize();
-
-    float wz_ref=Euler::ToRadian(input->ValueNoMutex(2,0)*deb_wz->Value());
-	Quaternion w_zd(1,0,0,wz_ref*delta_t/2);
-	w_zd.Normalize();
-	q_z = q_z*w_zd;
-	q_z.Normalize();
-
-	Quaternion q_ref = q_z*q_xy;
-	q_ref.Normalize();
-
-    z_ref+=input->ValueNoMutex(3,0)*deb_dz->Value()*delta_t;
-    float dz_ref=input->ValueNoMutex(3,0)*deb_dz->Value();
-
-    input->ReleaseMutex();
-
-    ahrsData->SetQuaternionAndAngularRates(q_ref,Vector3D(0,0,wz_ref));
-
-    //ouput quaternion for control law
-    output->GetMutex();
-    output->SetValueNoMutex(0,0,z_ref);
-    output->SetValueNoMutex(1,0,dz_ref);
-    output->ReleaseMutex();
-
-    output->SetDataTime(data->DataTime());
-}
-
+  cvmatrix *input = (cvmatrix *)data;
+
+  if (previous_time == 0)
+    previous_time = data->DataTime(); // pour la premiere iteration
+  float delta_t = (float)(data->DataTime() - previous_time) / 1000000000.;
+  previous_time = data->DataTime();
+
+  if (button_roll->Clicked() == true) {
+    trim_roll = 0;
+    output->SetValue(2, 0, 0);
+    label_roll->SetText("trim roll: %.2f", trim_roll);
+  }
+  if (button_pitch->Clicked() == true) {
+    trim_pitch = 0;
+    output->SetValue(3, 0, 0);
+    label_pitch->SetText("trim pitch: %.2f", trim_pitch);
+  }
+
+  // les box sont en degrés
+  input->GetMutex();
+
+  Vector3D theta_xy(
+      -Euler::ToRadian(input->ValueNoMutex(0, 0) * deb_roll->Value()),
+      -Euler::ToRadian(input->ValueNoMutex(1, 0) * deb_pitch->Value()), 0);
+  Vector3D e_bar = theta_xy;
+  e_bar.Normalize();
+  Quaternion q_xy(cos(theta_xy.GetNorm() / 2.0f),
+                  e_bar.x * sin(theta_xy.GetNorm() / 2.0f),
+                  e_bar.y * sin(theta_xy.GetNorm() / 2.0f), 0);
+  q_xy.Normalize();
+
+  float wz_ref = Euler::ToRadian(input->ValueNoMutex(2, 0) * deb_wz->Value());
+  Quaternion w_zd(1, 0, 0, wz_ref * delta_t / 2);
+  w_zd.Normalize();
+  q_z = q_z * w_zd;
+  q_z.Normalize();
+
+  Quaternion q_ref = q_z * q_xy;
+  q_ref.Normalize();
+
+  z_ref += input->ValueNoMutex(3, 0) * deb_dz->Value() * delta_t;
+  float dz_ref = input->ValueNoMutex(3, 0) * deb_dz->Value();
+
+  input->ReleaseMutex();
+
+  ahrsData->SetQuaternionAndAngularRates(q_ref, Vector3D(0, 0, wz_ref));
+
+  // ouput quaternion for control law
+  output->GetMutex();
+  output->SetValueNoMutex(0, 0, z_ref);
+  output->SetValueNoMutex(1, 0, dz_ref);
+  output->ReleaseMutex();
+
+  output->SetDataTime(data->DataTime());
+}
Index: trunk/lib/FlairFilter/src/LowPassFilter.cpp
===================================================================
--- trunk/lib/FlairFilter/src/LowPassFilter.cpp	(revision 14)
+++ trunk/lib/FlairFilter/src/LowPassFilter.cpp	(revision 15)
@@ -25,34 +25,26 @@
 using namespace flair::gui;
 
-namespace flair
-{
-namespace filter
-{
+namespace flair {
+namespace filter {
 
-LowPassFilter::LowPassFilter(const IODevice* parent,const LayoutPosition* position,string name,const cvmatrix* init_value) : IODevice(parent,name)
-{
-    pimpl_=new LowPassFilter_impl(this,position,name,init_value);
-    AddDataToLog(pimpl_->output);
+LowPassFilter::LowPassFilter(const IODevice *parent,
+                             const LayoutPosition *position, string name,
+                             const cvmatrix *init_value)
+    : IODevice(parent, name) {
+  pimpl_ = new LowPassFilter_impl(this, position, name, init_value);
+  AddDataToLog(pimpl_->output);
 }
 
-LowPassFilter::~LowPassFilter()
-{
-    delete pimpl_;
+LowPassFilter::~LowPassFilter() { delete pimpl_; }
+
+cvmatrix *LowPassFilter::Matrix(void) const { return pimpl_->output; }
+
+float LowPassFilter::Output(int row, int col) const {
+  return pimpl_->output->Value(row, col);
 }
 
-cvmatrix *LowPassFilter::Matrix(void) const
-{
-    return pimpl_->output;
-}
-
-float LowPassFilter::Output(int row,int col) const
-{
-   return pimpl_->output->Value(row,col);
-}
-
-void LowPassFilter::UpdateFrom(const io_data *data)
-{
-    pimpl_->UpdateFrom(data);
-    ProcessUpdate(pimpl_->output);
+void LowPassFilter::UpdateFrom(const io_data *data) {
+  pimpl_->UpdateFrom(data);
+  ProcessUpdate(pimpl_->output);
 }
 
Index: trunk/lib/FlairFilter/src/LowPassFilter.h
===================================================================
--- trunk/lib/FlairFilter/src/LowPassFilter.h	(revision 14)
+++ trunk/lib/FlairFilter/src/LowPassFilter.h	(revision 15)
@@ -16,84 +16,81 @@
 #include <IODevice.h>
 
-namespace flair
-{
-    namespace core
-    {
-        class cvmatrix;
-    }
-    namespace gui
-    {
-        class Layout;
-        class LayoutPosition;
-    }
+namespace flair {
+namespace core {
+class cvmatrix;
+}
+namespace gui {
+class Layout;
+class LayoutPosition;
+}
 }
 
 class LowPassFilter_impl;
 
-namespace flair
-{
-namespace filter
-{
-    /*! \class LowPassFilter
-    *
-    * \brief Class defining a first order low pass filter
-    */
-    class LowPassFilter : public core::IODevice
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a LowPassFilter at position. \n
-            * After calling this function, position will be deleted as it is no longer usefull. \n
-            * The filter is automatically updated when parent's
-            * IODevice::ProcessUpdate is called. \n
-            * The optional init_value parameters allow to specify
-            * the size of the input datas and its inital values.
-            * If unspecified, a 1*1 size is used, and values are
-            * initialized with 0.
-            *
-            * \param parent parent
-            * \param position position to display settings
-            * \param name name
-            * \param init_value initial value
-            */
-            LowPassFilter(const core::IODevice* parent,const gui::LayoutPosition* position,std::string name,const core::cvmatrix* init_value=NULL);
+namespace flair {
+namespace filter {
+/*! \class LowPassFilter
+*
+* \brief Class defining a first order low pass filter
+*/
+class LowPassFilter : public core::IODevice {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a LowPassFilter at position. \n
+  * After calling this function, position will be deleted as it is no longer
+  *usefull. \n
+  * The filter is automatically updated when parent's
+  * IODevice::ProcessUpdate is called. \n
+  * The optional init_value parameters allow to specify
+  * the size of the input datas and its inital values.
+  * If unspecified, a 1*1 size is used, and values are
+  * initialized with 0.
+  *
+  * \param parent parent
+  * \param position position to display settings
+  * \param name name
+  * \param init_value initial value
+  */
+  LowPassFilter(const core::IODevice *parent,
+                const gui::LayoutPosition *position, std::string name,
+                const core::cvmatrix *init_value = NULL);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~LowPassFilter();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~LowPassFilter();
 
-            /*!
-            * \brief Output value
-            *
-            * \param row row element
-            * \param col column element
-            *
-            * \return element value
-            */
-            float Output(int row, int col) const;
+  /*!
+  * \brief Output value
+  *
+  * \param row row element
+  * \param col column element
+  *
+  * \return element value
+  */
+  float Output(int row, int col) const;
 
-            /*!
-            * \brief Output matrix
-            *
-            * \return filtered output
-            */
-            core::cvmatrix* Matrix(void) const;
+  /*!
+  * \brief Output matrix
+  *
+  * \return filtered output
+  */
+  core::cvmatrix *Matrix(void) const;
 
-        private:
-            /*!
-            * \brief Update using provided datas
-            *
-            * Reimplemented from IODevice.
-            *
-            * \param data data from the parent to process
-            */
-            void UpdateFrom(const core::io_data *data);
+private:
+  /*!
+  * \brief Update using provided datas
+  *
+  * Reimplemented from IODevice.
+  *
+  * \param data data from the parent to process
+  */
+  void UpdateFrom(const core::io_data *data);
 
-            class LowPassFilter_impl* pimpl_;
-    };
+  class LowPassFilter_impl *pimpl_;
+};
 } // end namespace filter
 } // end namespace flair
Index: trunk/lib/FlairFilter/src/LowPassFilter_impl.cpp
===================================================================
--- trunk/lib/FlairFilter/src/LowPassFilter_impl.cpp	(revision 14)
+++ trunk/lib/FlairFilter/src/LowPassFilter_impl.cpp	(revision 15)
@@ -31,101 +31,87 @@
 using namespace flair::filter;
 
-LowPassFilter_impl::LowPassFilter_impl(const LowPassFilter* self,const LayoutPosition* position,string name,const cvmatrix* init_value)
-{
-    first_update=true;
+LowPassFilter_impl::LowPassFilter_impl(const LowPassFilter *self,
+                                       const LayoutPosition *position,
+                                       string name,
+                                       const cvmatrix *init_value) {
+  first_update = true;
 
-    if(init_value!=NULL)
-    {
-        prev_value=(cvmatrix*)init_value;
+  if (init_value != NULL) {
+    prev_value = (cvmatrix *)init_value;
+  } else {
+    // if NULL, assume dimension 1, and init=0
+    cvmatrix_descriptor *desc = new cvmatrix_descriptor(1, 1);
+    desc->SetElementName(0, 0, "output");
+    prev_value = new cvmatrix(self, desc, floatType, name);
+    prev_value->SetValue(0, 0, 0);
+  }
+
+  // init UI
+  GroupBox *reglages_groupbox = new GroupBox(position, name);
+  T = new DoubleSpinBox(reglages_groupbox->NewRow(), "period, 0 for auto", " s",
+                        0, 10, 0.01);
+  freq = new DoubleSpinBox(reglages_groupbox->NewRow(), "cutoff frequency",
+                           " Hz", 0, 10000, 0.1, 2, 1);
+
+  // init output matrix of same size as init
+  cvmatrix_descriptor *desc =
+      new cvmatrix_descriptor(prev_value->Rows(), prev_value->Cols());
+
+  for (int i = 0; i < prev_value->Rows(); i++) {
+    for (int j = 0; j < prev_value->Cols(); j++) {
+      desc->SetElementName(i, j, prev_value->Name(i, j));
     }
-    else
-    {
-        //if NULL, assume dimension 1, and init=0
-        cvmatrix_descriptor* desc=new cvmatrix_descriptor(1,1);
-        desc->SetElementName(0,0,"output");
-        prev_value=new cvmatrix(self,desc,floatType,name);
-        prev_value->SetValue(0,0,0);
-    }
+  }
 
-    //init UI
-    GroupBox* reglages_groupbox=new GroupBox(position,name);
-        T=new DoubleSpinBox(reglages_groupbox->NewRow(),"period, 0 for auto"," s",0,10,0.01);
-        freq=new DoubleSpinBox(reglages_groupbox->NewRow(),"cutoff frequency"," Hz",0,10000,0.1,2,1);
+  output = new cvmatrix(self, desc,
+                        prev_value->GetDataType().GetElementDataType(), name);
 
-
-    //init output matrix of same size as init
-    cvmatrix_descriptor* desc=new cvmatrix_descriptor(prev_value->Rows(),prev_value->Cols());
-
-    for(int i=0;i<prev_value->Rows();i++)
-    {
-        for(int j=0;j<prev_value->Cols();j++)
-        {
-            desc->SetElementName(i,j,prev_value->Name(i,j));
-        }
-    }
-
-    output=new cvmatrix(self,desc,prev_value->GetDataType().GetElementDataType(),name);
-
-    output->SetValue(0,0,0);
+  output->SetValue(0, 0, 0);
 }
 
-LowPassFilter_impl::~LowPassFilter_impl()
-{
+LowPassFilter_impl::~LowPassFilter_impl() {}
+
+void LowPassFilter_impl::UpdateFrom(const io_data *data) {
+  float delta_t;
+  float result;
+  cvmatrix *input = (cvmatrix *)data;
+
+  // on prend une fois pour toute les mutex et on fait des accès directs
+  output->GetMutex();
+  input->GetMutex();
+
+  if (first_update == true) {
+    for (int i = 0; i < input->Rows(); i++) {
+      for (int j = 0; j < input->Cols(); j++) {
+        output->SetValueNoMutex(i, j, prev_value->ValueNoMutex(i, j));
+        prev_value->SetValueNoMutex(i, j, input->ValueNoMutex(i, j));
+      }
+    }
+    first_update = false;
+  } else {
+    if (T->Value() == 0) {
+      delta_t = (float)(data->DataTime() - previous_time) / 1000000000.;
+    } else {
+      delta_t = T->Value();
+    }
+    for (int i = 0; i < input->Rows(); i++) {
+      for (int j = 0; j < input->Cols(); j++) {
+
+        if (freq->Value() != 0) {
+          output->SetValueNoMutex(i, j, (1 - 2 * PI * freq->Value() * delta_t) *
+                                                prev_value->ValueNoMutex(i, j) +
+                                            2 * PI * freq->Value() * delta_t *
+                                                input->ValueNoMutex(i, j));
+        } else {
+          output->SetValueNoMutex(i, j, input->ValueNoMutex(i, j));
+        }
+        prev_value->SetValueNoMutex(i, j, output->ValueNoMutex(i, j));
+      }
+    }
+  }
+  input->ReleaseMutex();
+  output->ReleaseMutex();
+
+  output->SetDataTime(data->DataTime());
+  previous_time = data->DataTime();
 }
-
-void LowPassFilter_impl::UpdateFrom(const io_data *data)
-{
-    float delta_t;
-    float result;
-    cvmatrix *input=(cvmatrix*)data;
-
-    //on prend une fois pour toute les mutex et on fait des accès directs
-    output->GetMutex();
-    input->GetMutex();
-
-    if(first_update==true)
-    {
-        for(int i=0;i<input->Rows();i++)
-        {
-            for(int j=0;j<input->Cols();j++)
-            {
-                output->SetValueNoMutex(i,j,prev_value->ValueNoMutex(i,j));
-                prev_value->SetValueNoMutex(i,j,input->ValueNoMutex(i,j));
-            }
-        }
-        first_update=false;
-    }
-    else
-    {
-        if(T->Value()==0)
-        {
-            delta_t=(float)(data->DataTime()-previous_time)/1000000000.;
-        }
-        else
-        {
-            delta_t=T->Value();
-        }
-        for(int i=0;i<input->Rows();i++)
-        {
-            for(int j=0;j<input->Cols();j++)
-            {
-
-                if(freq->Value()!=0)
-                {
-                    output->SetValueNoMutex(i,j,(1-2*PI*freq->Value()*delta_t)*prev_value->ValueNoMutex(i,j)+2*PI*freq->Value()*delta_t*input->ValueNoMutex(i,j));
-                }
-                else
-                {
-                    output->SetValueNoMutex(i,j,input->ValueNoMutex(i,j));
-                }
-                prev_value->SetValueNoMutex(i,j,output->ValueNoMutex(i,j));
-            }
-        }
-    }
-    input->ReleaseMutex();
-    output->ReleaseMutex();
-
-    output->SetDataTime(data->DataTime());
-    previous_time=data->DataTime();
-}
-
